/*
 * HelloJava3DFrameD.java
 *
 * Created on 29. April 2003, 18:00
 */

package test3d;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;
import javax.media.j3d.Appearance;
import java.awt.Color;


/**
 *
 * @author  arnd
 */
public class HelloJava3DFrameD extends HelloJava3DFrame {

    /** Creates a new instance of HelloJava3DFrameD */
    public HelloJava3DFrameD() {
    }

    public BranchGroup createSceneGraph() {
        // Create the root of the branch graph
        BranchGroup objRoot = new BranchGroup();


        Transform3D rotate = new Transform3D();

        TransformGroup objRotate = new TransformGroup(rotate);


        objRotate.setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE);





        Appearance sphereAppearance = new Appearance();
        sphereAppearance.setMaterial(new Material(new Color3f(Color.BLACK),new Color3f(Color.BLACK), new Color3f(0.0f, 0.0f, 1.0f),new Color3f(Color.BLACK),64f));
        Sphere s = new Sphere(0.2f, sphereAppearance);



        Transform3D axis = new Transform3D();

        axis.rotX((float)Math.PI/2);


        Alpha rotationAlpha = new Alpha(-1, 5000);



        RotationInterpolator rotator =
        new RotationInterpolator(rotationAlpha, objRotate, axis,
        0.0f, (float) Math.PI*2.0f);


        BoundingSphere bounds = new BoundingSphere();
        rotator.setSchedulingBounds(bounds);



        PointLight light1 = new PointLight();
        light1.setPosition(new Point3f(1f, 0f, 0f));
		light1.setInfluencingBounds(new BoundingSphere());

		objRoot.addChild(objRotate);
        objRotate.addChild(rotator);
		objRotate.addChild(light1);
        objRotate.addChild(s);
        return objRoot;
    } // end of createSceneGraph method of HelloJava3Dd

    public static void main(String args[]) {
        new HelloJava3DFrameD().show();
    }
}
