import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import java.awt.geom.AffineTransform;

public class AufgabeJava2D extends Frame {
    public static void main(String[] args) {
        new AufgabeJava2D();
    }
    public AufgabeJava2D() {
        setSize(500, 500);
        //setLocation(200, 200);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        setVisible(true);
    }
    
    public void paint(Graphics g) {
        //Graphics2D-Objekt erzeugen;
        Graphics2D g2 = (Graphics2D)g;
        

        Shape myShape = new Rectangle2D.Double(200, 200, 100, 100);
        

        g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_OFF);

        
        AffineTransform myScaleAT = AffineTransform.getScaleInstance(0.5d,0.5d);
        g2.setTransform(myScaleAT);

        g2.setColor(Color.BLUE);
        

        g2.setStroke(new BasicStroke(5.0f));
        

        g2.draw(myShape);
        

        g2.setPaint(Color.BLUE);
        

        g2.fill(myShape);
        
        
    }
}