import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;



// The View

public class AufgabeMVC extends javax.swing.JFrame implements Observer {
    
    private javax.swing.JButton jButton1;
    private javax.swing.JTextField jTextField1;
    private ButtonController controller;
    
    
    public AufgabeMVC(Model model) {
        controller = new ButtonController(model);
        initComponents();
        model.addObserver(this);
        jTextField1.setText(new Integer(model.getValue()).toString());
        
        
        show();
        System.out.println("Konstruktor");
    }
     
    private void initComponents() {
        jTextField1 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                System.exit(0);
            }
        });
        
        jTextField1.setEditable(false);
        
        getContentPane().add(jTextField1, java.awt.BorderLayout.NORTH);
        
        jButton1.setText("Calculate");
        addActionListenerToButton();
        
        getContentPane().add(jButton1, java.awt.BorderLayout.CENTER);
        
        pack();
    }
    
    private void addActionListenerToButton() {
        System.out.println("adding listener");
        jButton1.addActionListener(controller);
        
    }
    
    
    
    
    public void update(Observable o, Object arg) {
        Model m = (Model) o;

        jTextField1.setText(String.valueOf(m.getValue()));
    }
}
